| Home | Libraries | People | FAQ | More

#### buffer (28 of 28 overloads)

Create a new non-modifiable buffer that represents the given string.

    template<
        typename Elem,
        typename Traits,
        typename Allocator>
    const_buffers_1 buffer(
        const std::basic_string< Elem, Traits, Allocator > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `const_buffers_1` value equivalent to:

    const_buffers_1(
        data.data(),
        min(data.size() * sizeof(Elem), max_size_in_bytes));

###### Remarks

The buffer is invalidated by any non-const operation called on the given string object.